import React, { useEffect } from 'react'
import Footer from './footer'
import VodInput from './vodInput'
import VodList from './vodList'
import VodStrip from './vodStrip'

import "./home.css"

function Home() {

  useEffect(() => {
    doApi("batman");
  },[])

  const doApi = async(_searchQ) => {
    let myUrl = `http://www.omdbapi.com/?s=${_searchQ}&apikey=5a292f28`
    let resp = await fetch(myUrl);
    let data = await resp.json();
    console.log(data);
  }


  return (
    <React.Fragment>
      <VodStrip />
      <VodInput />
      <VodList />
      <Footer />
    </React.Fragment>
  )
}

export default Home